Bug 1347885 - monkeysphere-0.40 is available
Summary: monkeysphere-0.40 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: monkeysphere
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christopher Tubbs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-18 00:18 UTC by Upstream Release Monitoring
Modified: 2016-11-19 21:09 UTC (History)
2 users (show)

Fixed In Version: monkeysphere-0.40-2.fc24 monkeysphere-0.40-2.fc25
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-14 21:00:52 UTC


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (15.28 KB, patch)
2016-09-24 09:22 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (16.45 KB, patch)
2016-10-12 12:18 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2016-06-18 00:18:02 UTC
Latest upstream release: 0.38.orig
Current version/release in rawhide: 0.37-1.fc24
URL: http://archive.monkeysphere.info/debian/pool/monkeysphere/m/monkeysphere/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2009/

Comment 1 Upstream Release Monitoring 2016-06-18 00:18:13 UTC
Rebase helper failed.
See logs and attachments in this bugzilla 'NoneType' object has no attribute 'get_rebasehelper_data'

Comment 2 Upstream Release Monitoring 2016-06-18 00:18:25 UTC
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-31XgWD/monkeysphere.spec
return code:  22
stdout:
Getting http://archive.monkeysphere.info/debian/pool/monkeysphere/m/monkeysphere/monkeysphere_0.38.orig.orig.tar.gz to ./monkeysphere_0.38.orig.orig.tar.gz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found

Comment 3 Upstream Release Monitoring 2016-08-30 12:16:09 UTC
Latest upstream release: 0.39.orig
Current version/release in rawhide: 0.37-1.fc24
URL: http://archive.monkeysphere.info/debian/pool/monkeysphere/m/monkeysphere/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2009/

Comment 4 Upstream Release Monitoring 2016-08-30 12:16:22 UTC
Rebase helper failed.
See logs and attachments in this bugzilla 'NoneType' object has no attribute 'get_rebasehelper_data'

Comment 5 Upstream Release Monitoring 2016-08-30 12:16:36 UTC
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-de8QVu/monkeysphere.spec
return code:  22
stdout:
Getting http://archive.monkeysphere.info/debian/pool/monkeysphere/m/monkeysphere/monkeysphere_0.39.orig.orig.tar.gz to ./monkeysphere_0.39.orig.orig.tar.gz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found

Comment 6 Upstream Release Monitoring 2016-09-24 09:22:35 UTC
Latest upstream release: 0.39
Current version/release in rawhide: 0.37-1.fc24
URL: http://archive.monkeysphere.info/debian/pool/monkeysphere/m/monkeysphere/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2009/

Comment 7 Upstream Release Monitoring 2016-09-24 09:22:49 UTC
Patching or scratch build for monkeysphere-0.37 failed.

Comment 8 Upstream Release Monitoring 2016-09-24 09:22:50 UTC
Created attachment 1204336 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 9 Upstream Release Monitoring 2016-09-24 09:22:52 UTC
Patches were not touched. All were applied properly

Comment 10 Upstream Release Monitoring 2016-10-12 12:18:19 UTC
Latest upstream release: 0.40
Current version/release in rawhide: 0.37-1.fc24
URL: http://archive.monkeysphere.info/debian/pool/monkeysphere/m/monkeysphere/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2009/

Comment 11 Upstream Release Monitoring 2016-10-12 12:18:33 UTC
Patching or scratch build for monkeysphere-0.37 failed.

Comment 12 Upstream Release Monitoring 2016-10-12 12:18:34 UTC
Created attachment 1209579 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 13 Upstream Release Monitoring 2016-10-12 12:18:36 UTC
Patches were not touched. All were applied properly

Comment 14 Upstream Release Monitoring 2016-10-29 06:27:32 UTC
ctubbsii's monkeysphere-0.40-1.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=813526

Comment 15 Fedora Update System 2016-10-30 20:21:52 UTC
monkeysphere-0.40-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-586e736100

Comment 16 Dennis Chen 2016-10-30 20:28:46 UTC
Thanks, Christopher for getting this one.

Comment 17 Christopher Tubbs 2016-10-30 22:59:42 UTC
(In reply to Dennis Chen from comment #16)
> Thanks, Christopher for getting this one.

No problem.

Tested 0.40 on F24 with `monkeysphere s` and works perfectly, same as 0.37. Also tried out the new agent-transfer binary, and that seems to work fine, too, but only if DISPLAY is set.

One thing to be aware of is that the agent-transfer binary moves the package from noarch to arch-specific.

Comment 18 Christopher Tubbs 2016-10-31 06:20:17 UTC
FWIW, I tried to build 0.40 for el6 and epel7 branches, too, but it looks like the new agent-transfer binary requires libgcrypt 1.6 or later. So, I don't intend to update those, unless we want to skip building the agent-transfer binary in those versions.

Comment 19 Fedora Update System 2016-10-31 10:22:11 UTC
monkeysphere-0.40-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3368c1629c

Comment 20 Upstream Release Monitoring 2016-11-02 22:03:58 UTC
ctubbsii's monkeysphere-0.40-2.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=814656

Comment 21 Fedora Update System 2016-11-02 22:06:42 UTC
monkeysphere-0.40-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b7a4406b1f

Comment 22 Fedora Update System 2016-11-02 22:06:55 UTC
monkeysphere-0.40-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c660768b4b

Comment 23 Fedora Update System 2016-11-05 03:33:33 UTC
monkeysphere-0.40-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b7a4406b1f

Comment 24 Fedora Update System 2016-11-05 18:57:37 UTC
monkeysphere-0.40-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c660768b4b

Comment 25 Fedora Update System 2016-11-14 21:00:52 UTC
monkeysphere-0.40-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2016-11-19 21:09:09 UTC
monkeysphere-0.40-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.